|  | Home · All Classes · Modules

# QScriptValue.PropertyFlags Class Reference
[QtScript module]

### Methods

- __init__ (self, PropertyFlags)
- __init__ (self, int)
- __init__ (self)

### Special Methods

- PropertyFlags __and__ (self, int mask)
- int __bool__ (self)
- bool __eq__ (self, PropertyFlags f)
- PropertyFlags __iand__ (self, int mask)
- int __int__ (self)
- PropertyFlags __invert__ (self)
- PropertyFlags __ior__ (self, PropertyFlags f)
- PropertyFlags __ixor__ (self, PropertyFlags f)
- bool __ne__ (self, PropertyFlags f)
- PropertyFlags __or__ (self, PropertyFlags f)
- PropertyFlags __or__ (self, int f)
- PropertyFlags __xor__ (self, PropertyFlags f)
- PropertyFlags __xor__ (self, int f)

## Detailed Description

PropertyFlag may be used whenever PropertyFlags is expected.

## Method Documentation

### PropertyFlags.__init__ (self, PropertyFlags)

### PropertyFlags.__init__ (self, int)

### PropertyFlags.__init__ (self)

### PropertyFlags PropertyFlags.__and__ (self, int mask)

### int PropertyFlags.__bool__ (self)

### bool PropertyFlags.__eq__ (self, PropertyFlags f)

### PropertyFlags PropertyFlags.__iand__ (self, int mask)

### int PropertyFlags.__int__ (self)

### PropertyFlags PropertyFlags.__invert__ (self)

### PropertyFlags PropertyFlags.__ior__ (self, PropertyFlags f)

### PropertyFlags PropertyFlags.__ixor__ (self, PropertyFlags f)

### bool PropertyFlags.__ne__ (self, PropertyFlags f)

### PropertyFlags PropertyFlags.__or__ (self, PropertyFlags f)

### PropertyFlags PropertyFlags.__or__ (self, int f)

### PropertyFlags PropertyFlags.__xor__ (self, PropertyFlags f)

### PropertyFlags PropertyFlags.__xor__ (self, int f)